=== debian/changelog ===
ros-galactic-zstd-vendor (0.9.2-1focal) focal; urgency=high



 -- Karsten Knese <karsten@openrobotics.org>  Mon, 26 Sep 2022 07:00:00 -0000

ros-galactic-zstd-vendor (0.9.1-1focal) focal; urgency=high



 -- Karsten Knese <karsten@openrobotics.org>  Thu, 08 Jul 2021 07:00:00 -0000

ros-galactic-zstd-vendor (0.9.0-1focal) focal; urgency=high



 -- Karsten Knese <karsten@openrobotics.org>  Mon, 17 May 2021 07:00:00 -0000

ros-galactic-zstd-vendor (0.8.0-1focal) focal; urgency=high

  * Explicitly add emersonknapp as maintainer (#692 <https://github.com/ros2/rosbag2/issues/692>)
  * Contributors: Emerson Knapp

 -- Karsten Knese <karsten@openrobotics.org>  Mon, 19 Apr 2021 07:00:00 -0000

ros-galactic-zstd-vendor (0.7.0-1focal) focal; urgency=high

  * Always preserve source permissions in vendor packages (#645 <https://github.com/ros2/rosbag2/issues/645>)
  * Zstd should not install internal headers - some of them try include others that aren't installed. We don't use them. Avoid the situation (#631 <https://github.com/ros2/rosbag2/issues/631>)
  * Contributors: Emerson Knapp, Scott K Logan

 -- Karsten Knese <karsten@openrobotics.org>  Thu, 18 Mar 2021 07:00:00 -0000

ros-galactic-zstd-vendor (0.6.0-1focal) focal; urgency=high

  * Patch zstd 1.4.4 to include cmake_minimum_version bump to 2.8.12 (#579 <https://github.com/ros2/rosbag2/issues/579>)
  * Contributors: Emerson Knapp

 -- Karsten Knese <karsten@openrobotics.org>  Mon, 01 Feb 2021 08:00:00 -0000

ros-galactic-zstd-vendor (0.5.0-1focal) focal; urgency=high



 -- Karsten Knese <karsten@openrobotics.org>  Wed, 02 Dec 2020 08:00:00 -0000

ros-galactic-zstd-vendor (0.4.0-1focal) focal; urgency=high

  * Update the package.xml files with the latest Open Robotics maintainers (#535 <https://github.com/ros2/rosbag2/issues/535>)
  * Contributors: Michael Jeronimo

 -- Karsten Knese <karsten@openrobotics.org>  Thu, 19 Nov 2020 08:00:00 -0000

ros-galactic-zstd-vendor (0.3.2-1focal) focal; urgency=high



 -- ROS Tooling Working Group <ros-tooling@googlegroups.com>  Wed, 03 Jun 2020 07:00:00 -0000

ros-galactic-zstd-vendor (0.3.1-1focal) focal; urgency=high

  * Shared publisher handle (#420 <https://github.com/ros2/rosbag2/issues/420>)
  * Contributors: Chris Lalancette

 -- ROS Tooling Working Group <ros-tooling@googlegroups.com>  Mon, 01 Jun 2020 07:00:00 -0000

ros-galactic-zstd-vendor (0.3.0-1focal) focal; urgency=high

  * Export targets (#403 <https://github.com/ros2/rosbag2/issues/403>)
  * Contributors: Karsten Knese

 -- ROS Tooling Working Group <ros-tooling@googlegroups.com>  Tue, 26 May 2020 07:00:00 -0000

ros-galactic-zstd-vendor (0.2.8-1focal) focal; urgency=high



 -- ROS Tooling Working Group <ros-tooling@googlegroups.com>  Mon, 18 May 2020 07:00:00 -0000

ros-galactic-zstd-vendor (0.2.7-1focal) focal; urgency=high



 -- ROS Tooling Working Group <ros-tooling@googlegroups.com>  Tue, 12 May 2020 07:00:00 -0000

ros-galactic-zstd-vendor (0.2.6-1focal) focal; urgency=high



 -- ROS Tooling Working Group <ros-tooling@googlegroups.com>  Thu, 07 May 2020 07:00:00 -0000

ros-galactic-zstd-vendor (0.2.5-1focal) focal; urgency=high

  * [Compression - 5] Add Zstd file compression (#220 <https://github.com/ros2/rosbag2/issues/220>)
  * Contributors: Anas Abou Allaban, Zachary Michaels

 -- ROS Tooling Working Group <ros-tooling@googlegroups.com>  Thu, 30 Apr 2020 07:00:00 -0000

ros-galactic-zstd-vendor (0.2.4-1focal) focal; urgency=high



 -- ROS Tooling Working Group <ros-tooling@googlegroups.com>  Tue, 19 Nov 2019 01:51:00 -0000

ros-galactic-zstd-vendor (0.2.3-1focal) focal; urgency=high



 -- ROS Tooling Working Group <ros-tooling@googlegroups.com>  Mon, 18 Nov 2019 21:55:00 -0000

ros-galactic-zstd-vendor (0.2.2-1focal) focal; urgency=high



 -- ROS Tooling Working Group <ros-tooling@googlegroups.com>  Wed, 13 Nov 2019 08:00:00 -0000

ros-galactic-zstd-vendor (0.2.1-1focal) focal; urgency=high



 -- ROS Tooling Working Group <ros-tooling@googlegroups.com>  Wed, 23 Oct 2019 07:00:00 -0000

ros-galactic-zstd-vendor (0.2.0-1focal) focal; urgency=high



 -- ROS Tooling Working Group <ros-tooling@googlegroups.com>  Thu, 26 Sep 2019 07:00:00 -0000

ros-galactic-zstd-vendor (0.1.2-1focal) focal; urgency=high



 -- ROS Tooling Working Group <ros-tooling@googlegroups.com>  Mon, 20 May 2019 07:00:00 -0000

ros-galactic-zstd-vendor (0.1.1-1focal) focal; urgency=high



 -- ROS Tooling Working Group <ros-tooling@googlegroups.com>  Thu, 09 May 2019 07:00:00 -0000

ros-galactic-zstd-vendor (0.1.0-1focal) focal; urgency=high



 -- ROS Tooling Working Group <ros-tooling@googlegroups.com>  Wed, 08 May 2019 07:00:00 -0000

ros-galactic-zstd-vendor (0.0.5-1focal) focal; urgency=high



 -- ROS Tooling Working Group <ros-tooling@googlegroups.com>  Thu, 27 Dec 2018 08:00:00 -0000

ros-galactic-zstd-vendor (0.0.4-1focal) focal; urgency=high



 -- ROS Tooling Working Group <ros-tooling@googlegroups.com>  Wed, 19 Dec 2018 08:00:00 -0000

ros-galactic-zstd-vendor (0.0.3-1focal) focal; urgency=high



 -- ROS Tooling Working Group <ros-tooling@googlegroups.com>  Fri, 14 Dec 2018 08:00:00 -0000

ros-galactic-zstd-vendor (0.0.2-1focal) focal; urgency=high



 -- ROS Tooling Working Group <ros-tooling@googlegroups.com>  Wed, 12 Dec 2018 08:00:00 -0000

ros-galactic-zstd-vendor (0.0.1-1focal) focal; urgency=high



 -- ROS Tooling Working Group <ros-tooling@googlegroups.com>  Tue, 11 Dec 2018 08:00:00 -0000
