=== debian/control ===
Source: ros-galactic-zstd-vendor
Section: misc
Priority: optional
Maintainer: Karsten Knese <karsten@openrobotics.org>
Build-Depends: debhelper (>= 9.0.0), libzstd-dev, ros-galactic-ament-cmake, ros-galactic-ros-workspace
Homepage: https://facebook.github.io/zstd/
Standards-Version: 3.9.2

Package: ros-galactic-zstd-vendor
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libzstd-dev, ros-galactic-ros-workspace
Description: Zstd compression vendor package, providing a dependency for Zstd.
